Subject: Re: bug#36784: Cannot generate key pair with GnuPG

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 25 Jul 2019 15:34:07 +0200

Raghav Gururajan <[email-masked]> writes:

>> Is there a good
>> reason not to include pinentry-tty or somemthing similarly small?
>
> It appears pinentry-tty is only console-based. If graphical
> applications like MUA, Key Managers etc require pinentry-program, it
> usually uses pop-up (gui) for passphrase input. Since pinentry provides
> both console and gui, I suggested it as it will be well-rounded
> solution. :)

I guess the reason for not adding a graphical pinentry is that this
would increase the package closure of the gnupg package.

Perhaps we should add gnupg-minimal for use in other package
definitions.

--
Ricardo